'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _dialog = require('./dialog');

var _dialog2 = _interopRequireDefault(_dialog);

require('./index.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SNKBrowserHelper = function SNKBrowserHelper() {
  (0, _classCallCheck3.default)(this, SNKBrowserHelper);
};

SNKBrowserHelper.callAjaxPrint = function (_ref) {
  var env = _ref.env,
      ok = _ref.ok,
      title = _ref.title,
      initParams = _ref.initParams,
      reStartCallBack = _ref.reStartCallBack,
      callElectronCallBack = _ref.callElectronCallBack,
      close = _ref.close,
      hostUrl = _ref.hostUrl;

  var dialog = new _dialog2.default({
    action: 'ajax-print',
    env: env,
    title: title,
    reStartCallBack: reStartCallBack,
    callElectronCallBack: callElectronCallBack,
    initParams: initParams,
    ok: ok,
    close: close,
    hostUrl: hostUrl
  });
  dialog.show();
};

window.SNKBrowserHelper = SNKBrowserHelper;
exports.default = SNKBrowserHelper;