'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _tree = require('./tree');

var _tree2 = _interopRequireDefault(_tree);

var _popTree = require('./popTree');

var _popTree2 = _interopRequireDefault(_popTree);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SNKTree = function SNKTree(props) {
  var _this = this;

  (0, _classCallCheck3.default)(this, SNKTree);

  this.show = function (params) {
    _this.treeInstance.show(params);
  };

  this.setSelected = function (params) {
    _this.treeInstance.setSelected(params);
  };

  this.loadData = function (params) {
    _this.treeInstance.loadData(params);
  };

  this.getSelectedNode = function () {
    return _this.treeInstance.getSelectedNode();
  };

  this.hide = function () {
    _this.treeInstance.hide();
  };

  this.treeInstance = null;
  if (props.type === 'popover') {
    this.treeInstance = new _popTree2.default(props);
  } else {
    this.treeInstance = new _tree2.default(props);
  }
};

exports.default = SNKTree;