"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Message = function Message(props) {
  var _this = this;

  (0, _classCallCheck3.default)(this, Message);

  this.showLoading = function (str) {
    _this.root.show();
    _this.root.empty();
    _this.root.append($("<div class='snk-wbh-loading-root'><div class=\"snk-wbh-loading\">\n    <div class=\"rect1\"></div>\n    <div class=\"rect2\"></div>\n    <div class=\"rect3\"></div>\n    <div class=\"rect4\"></div>\n    <div class=\"rect5\"></div>\n  </div><div class='snk-wbh-loading-label'>" + str + "</div>\n  </div>"));
    _this._createCloseBtn();
  };

  this.showDownloadVC = function () {
    _this.show({
      render: function render(mesRoot) {
        var inner = $("<div class='snk-wbh-mes-one'></div>");
        var blockone = $("<div class='snk-wbh-mes-one-section'>\u60A8\u7684\u7535\u8111\u7F3A\u5C11\u8FD0\u884C\u5FC5\u8981\u7EC4\u4EF6;\u8BF7\u4E0B\u8F7D\u5B89\u88C5\u4FEE\u590D\uFF01<a style='font-weight:bold;' download href='" + _this.VCPlusPlusURL + "'>\u70B9\u51FB\u4E0B\u8F7D</a>;\u8FDB\u884C\u5B89\u88C5,\u5B8C\u6210\u5B89\u88C5\u540E,</div>");
        blockone.append(_this._createReStart());
        inner.append(blockone);
        mesRoot.append(inner);
      }
    });
  };

  this.showAppMustUpdate = function (update) {
    _this.show({
      render: function render(mesRoot) {
        var inner = $("<div class='snk-wbh-mes-one'></div>");
        var blockone = $("<div class='snk-wbh-mes-one-section'><span class='snk-wbh-mes-update'>\n        \u60A8\u5F53\u524D\u5B89\u88C5\u7684\u6253\u5370\u52A9\u624B\u7248\u672C\u8F83\u4F4E\uFF0C\u9700\u8981\u66F4\u65B0\u624D\u80FD\u4F7F\u7528\u8BE5\u529F\u80FD\uFF01\n        </span></div>");
        var updateBtn = $("<span class='snk-wbh-restart'>\u70B9\u51FB\u66F4\u65B0</span>");
        updateBtn.bind("click", function () {
          update();
        });
        blockone.append(updateBtn);
        inner.append(blockone);
        inner.append($("<div style='margin-top:60px;font-size:14px;'>\u5982\u679C\u66F4\u65B0\u5931\u8D25,\u8BF7<a href='" + _this.dowloadURL + "' download>\u70B9\u51FB\u4E0B\u8F7D</a>\u8FDB\u884C\u5B89\u88C5</div>"));
        mesRoot.append(inner);
      }
    });
  };

  this.showWebScoketError = function () {
    _this.show({
      render: function render(mesRoot) {
        var inner = $("<div class='snk-wbh-mes-one'></div>");
        inner.append("<div class='snk-wbh-mes-one-section'>\n          <div style='font-weight:bold;font-size:16px'>IE\u8FDE\u63A5\u53D1\u751F\u5F02\u5E38,\u8BF7\u6309\u7167\u5982\u4E0B\u8FDB\u884C\u6D4F\u89C8\u5668\u8BBE\u7F6E\uFF1A</div>\n          <div style='background-color:#eee;padding:20px 10px;font-size:14px'>Internet\u9009\u9879->\u5B89\u5168->\u672C\u5730Internet->\u7AD9\u70B9\uFF0C\u628A\u6240\u6709\u52FE\u9009\u53D6\u6D88</div>\n        </div>");
        inner.append($("<div class='snk-wbh-mes-one-section'>\u5982\u679C\u65E0\u6548\u8BF7\u4E0B\u8F7D\u5B89\u88C5\u4FEE\u590D\uFF01<a style='font-weight:bold;' download href='" + _this.dowloadURL + "'>\u70B9\u51FB\u4E0B\u8F7D</a>;\u89E3\u538B\u540E\u70B9\u51FB\"\u70B9\u51FB\u8FDB\u884C\u5B89\u88C5\"<span style='color:red'>\u4EE5\u7BA1\u7406\u5458\u8EAB\u4EFD</span>\u8FDB\u884C\u5B89\u88C5,\u5B8C\u6210\u5B89\u88C5\u540E\u91CD\u8BD5.</div>"));

        mesRoot.append(inner);
      }
    });
  };

  this.showDownload = function () {
    _this.show({
      render: function render(mesRoot) {
        var inner = $("<div class='snk-wbh-mes-one'></div>");
        inner.append($("<div class='snk-wbh-mes-one-section'>\u8BF7\u4E0B\u8F7D\u5B89\u88C5\u4FEE\u590D\uFF01<a style='font-weight:bold;' download href='" + _this.dowloadURL + "'>\u70B9\u51FB\u4E0B\u8F7D</a>;\u89E3\u538B\u540E\u70B9\u51FB\"\u70B9\u51FB\u8FDB\u884C\u5B89\u88C5.bat\"<span style='color:red'>\u4EE5\u7BA1\u7406\u5458\u8EAB\u4EFD</span>\u8FDB\u884C\u5B89\u88C5,\u5B8C\u6210\u5B89\u88C5\u540E\u91CD\u8BD5.</div>"));
        inner.append("<div style='color:#830000;font-size:12px;padding-top:5px;padding-left:20px;'><br />\n        <div>\u6CE8\u610F1.\u5982\u679C\u5B89\u88C5\u671F\u95F4\u88AB\u6740\u6BD2\u8F6F\u4EF6\u62E6\u622A\uFF0C\u8BF7\u5141\u8BB8\u5F53\u524D\u64CD\u4F5C</div><br />\n        <div>\u6CE8\u610F2.\u5B89\u88C5\u8FC7\u7A0B\u8F83\u6162,\u8BF7\u8010\u5FC3\u7B49\u5F85</div><br />\n        <div>\u6CE8\u610F3.\u5982\u9047\u5B89\u88C5\u5931\u8D25,\u8BF7\u518D\u6B21\u5C1D\u8BD5\u5B89\u88C5</div>\n        </div>");
        mesRoot.append(inner);
      }
    });
  };

  this.show = function (_ref) {
    var _ref$isCloseDialog = _ref.isCloseDialog,
        isCloseDialog = _ref$isCloseDialog === undefined ? true : _ref$isCloseDialog,
        html = _ref.html,
        render = _ref.render;
    var dialog = _this.props.dialog;

    _this.root.show();
    _this.root.empty();
    if (render) {
      render(_this.root);
    } else {
      if (html.indexOf('未找到扫描仪') >= 0) {
        html = '未找到扫描仪设备,请安装相应型号扫描仪驱动,并添加扫描仪后再试！';
      }
      _this.root.append($("<div class='snk-wbh-commonmes'>" + html + "</div>"));
    }
    _this._createCloseBtn(function () {
      if (isCloseDialog) {
        dialog.close();
      } else {
        _this.hide();
      }
    });
  };

  this.showDisConnect = function () {
    var _props = _this.props,
        dialog = _props.dialog,
        reStartCallBack = _props.reStartCallBack;

    _this.show({
      isCloseDialog: dialog.getResult() > 0 ? false : true,
      render: function render(wrapper) {
        var inner = $('<div class="snk-wbh-commonmes" />');
        inner.append($("<div style='color:red'>\u6253\u5370\u52A9\u624B\u7A0B\u5E8F\u610F\u5916\u9000\u51FA\uFF0C\u5931\u53BB\u8FDE\u63A5!</div>"));
        var reConnct = $("<span class='snk-wbh-restart'>\u70B9\u51FB\u91CD\u8BD5</span>");
        reConnct.bind("click", function () {
          _this.hide();
          dialog.reStart();
          if (reStartCallBack) {
            reStartCallBack();
          }
        });
        inner.append(reConnct);
        if (dialog.step === 'callelectronsuccess') {
          inner.append($("<div style='margin-top:70px;font-size:16px;'>\u5982\u679C\u91CD\u8BD5\u65E0\u6548\u7684\u8BDD,\u8BF7<a href='" + _this.dowloadURL + "' download>\u70B9\u51FB\u4E0B\u8F7D</a>\u5B89\u88C5\u8FDB\u884C\u4FEE\u590D,\u518D\u6B21\u91CD\u8BD5</div>"));
        } else if (dialog.step === 'callscannersuccess') {
          inner.append($("<div style='margin-top:70px;font-size:16px;'>\u5F53\u524D\u626B\u63CF\u4EEA\u9A71\u52A8\u65E0\u6CD5\u4F7F\u7528\uFF0C\u8BF7\u70B9\u51FB\u91CD\u8BD5\uFF0C\u91CD\u65B0\u9009\u62E9\uFF0C\u6216\u8005\u5B89\u88C5\u6B63\u786E\u7684\u626B\u63CF\u4EEA\u9A71\u52A8\u5E76\u6DFB\u52A0\u626B\u63CF\u4EEA\u518D\u8BD5\uFF01</div>"));
          window.callScannerError = true;
        }
        wrapper.append(inner);
      }
    });
  };

  this._createCloseBtn = function (cb) {
    var dialog = _this.props.dialog;

    var closeBtn = $("<span class='snk-bh-closebtn'>关闭</span>");
    closeBtn.bind('click', function () {
      if (cb) {
        cb();
      } else {
        dialog.close();
      }
    });
    _this.root.append(closeBtn);
  };

  this.showCallElectronFail = function () {
    _this.show({
      isCloseDialog: true,
      render: function render(wrapper) {
        var inner = $("<div class='snk-wbh-mes-one'></div>");

        inner.append("<div class='snk-wbh-mes-one-title'>唤起打印助手失败！</div>");
        inner.append("<div class='snk-wbh-mes-one-sectitle'>请检查是否正确安装打印助手</div>");
        var blockone = $("<div class='snk-wbh-mes-one-section'> \n        <span class='snk-wbh-mes-one-section' style='color:red;font-weight:bold;font-size:18px;'>\u5982\u8FD8\u6CA1\u6709\u5B89\u88C5,\u8BF7\u6839\u636E\u7535\u8111\u7CFB\u7EDF\u70B9\u51FB\u4E0B\u8F7D\u5B89\u88C5\uFF1A</span>\n        (<a style='font-weight:bold;' download href='" + _this.dowloadURL + "'>Win 64\u4F4D</a>)\u3001(<a style='font-weight:bold;' download href='" + _this.dowloadURL1 + "'>Win 32\u4F4D</a>),\n        <span>\u7136\u540E</span></div>");
        blockone.append(_this._createReStart());
        inner.append(blockone);
        inner.append("<div style='color:#020000;font-size:12px;padding-top:5px;padding-left:20px;'><br />\n        <div>\u6CE8\u610F1.\u5982\u679C\u5B89\u88C5\u671F\u95F4\u88AB\u6740\u6BD2\u8F6F\u4EF6\u62E6\u622A\uFF0C\u8BF7\u5141\u8BB8\u5F53\u524D\u64CD\u4F5C</div><br />\n          <div>\u6CE8\u610F2.\u5B89\u88C5\u8FC7\u7A0B\u8F83\u6162,\u8BF7\u8010\u5FC3\u7B49\u5F85</div><br />\n          <div>\u6CE8\u610F3.\u5982\u9047\u5B89\u88C5\u5931\u8D25,\u8BF7\u518D\u6B21\u5C1D\u8BD5\u5B89\u88C5</div>\n          </div>");
        var blocktwo = $("<div class='snk-wbh-mes-one-section'><span style='color:green;font-weight:bold;font-size:25px;'>已经安装了：</span>请在你的电脑上找到【打印助手】点击运行,然后</div>");
        blocktwo.append(_this._createReStart());
        inner.append(blocktwo);
        wrapper.append(inner);
      }
    });
  };

  this._createReStart = function () {
    var dialog = _this.props.dialog;

    var reConnct = $("<span class='snk-wbh-one-restart'>点击重试</span>");
    reConnct.bind("click", function () {
      _this.hide();
      dialog.reStart();
    });
    return reConnct;
  };

  this.hide = function () {
    _this.root.hide();
  };

  this.props = props;
  var _props2 = this.props,
      env = _props2.env,
      downLoadHost = _props2.downLoadHost;

  this.root = $("<div class='snk-bh-mes-root' />");
  this.dowloadURL = downLoadHost + "/x64/printHandler.exe";
  this.dowloadURL1 = downLoadHost + "/x86/printHandler.exe";
  // 依赖vc++ vc_redist.x86 2015
  this.VCPlusPlusURL = 'https://h5file-test.sinosafe.com.cn/huaanresource/vc_redist.x86.exe';
};

exports.default = Message;