'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _HttpUtils = require('../utils/HttpUtils');

var _HttpUtils2 = _interopRequireDefault(_HttpUtils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var host = 'http://127.0.0.1:19877/h/';
// const host = 'http://10.11.32.129:19877/h/'

// HttpUtils.initHttpUtils({ ajaxType: 'ajax' });

/**
 * Created by LynnLin on 2019/05/08.
 */

var Services = function () {
  function Services() {
    (0, _classCallCheck3.default)(this, Services);
  }

  (0, _createClass3.default)(Services, null, [{
    key: 'getPrintList',
    value: function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                return _context.abrupt('return', _HttpUtils2.default.get({
                  server: host,
                  url: '/printList',
                  body: null
                }));

              case 1:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function getPrintList() {
        return _ref.apply(this, arguments);
      }

      return getPrintList;
    }()
  }, {
    key: 'doPrint',
    value: function () {
      var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(payload) {
        return _regenerator2.default.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                // 进行打印
                console.log(payload);
                return _context2.abrupt('return', _HttpUtils2.default.post({
                  server: host,
                  url: '/hprint',
                  body: (0, _extends3.default)({}, payload)
                }));

              case 2:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function doPrint(_x) {
        return _ref2.apply(this, arguments);
      }

      return doPrint;
    }()
  }]);
  return Services;
}();

Services.evenloop = function (urls, hander, index, success, errorFn) {
  var seqution = [].concat(urls);
  var indexNum = index;
  var Len = seqution.length;
  try {
    Services.getPrintList().then(function (data) {
      hander(seqution[indexNum]).then(function () {
        if (indexNum < Len - 1) {
          evenloop(seqution, hander, indexNum + 1, success, errorFn);
        } else {
          if (success) {
            success();
          }
        }
      }).catch(function (errorData) {
        if (errorFn) {
          errorFn(errorData, indexNum);
        }
      });
    }).catch(function (errorFn) {
      if (errorFn) {
        errorFn(errorData, indexNum);
      }
    });
  } catch (errorData) {
    if (errorFn) {
      console.log(errorFn);
      errorFn(errorData, indexNum);
    }
  }
};

Services.limitLoad = function (urls, hander, limit, errorCallBack) {
  var seqution = [].concat(urls);
  var promises = []; // 执行的相关promise数组
  // 首先拿出limit个进行执行
  promises = seqution.splice(0, limit).map(function (url, index) {
    return hander(url).then(function () {
      return index; // 输出当前执行的下标
    }).catch(function (error) {
      errorCallBack(error);
    });
  });
  var p = _promise2.default.race(promises); // 谁先执行完，谁先出来

  var _loop = function _loop(i) {
    var elmentUrl = seqution[i];
    p = p.then(function (res) {
      promises[res] = hander(elmentUrl).then(function () {
        //执行完res下标的promise,继续下一个promise覆盖res下标
        return res;
      }).catch(function (error) {
        errorCallBack(error);
      });
      return _promise2.default.race(promises);
    });
  };

  for (var i = 0; i < seqution.length; i += 1) {
    _loop(i);
  }
};

exports.default = Services;
;