class Comfirm {
  constructor(props){
  }

  show = ({ wrapper, buttons, renderContent,title, contentClassName, init }) => {
    const _wrapper = wrapper || document.body;
    this.root = $("<div class='snk-bh-comfirm-root-out'>");
    this.inner = $("<div class='snk-bh-comfirm-root'>");
    if(title) {
      const top = $(`<div class='snk-bh-comfirm-title'><span>${title}</span></div>`);
      this.inner.append(top);
    }
    const content = $(`<div class='${contentClassName|| 'snk-bh-comfirm-content'}'/>`);
    if(renderContent) {
      renderContent(content, this);
    }
    this.inner.append(content);
    this.root.append(this.inner);
    this.buttons = [];
    this.bk = $("<div class='snk-bh-comfirm-bk'>");
    if(buttons && buttons.length > 0) {
      const buttnWrapper = $("<div class='snk-bh-comfirm-buttonwraper'>");
      for(let i = 0,j=buttons.length; i < j; i+=1) {
        const { title = 'title', cb, isMain } = buttons[i];
        const btn = $(`<button class='snk-bh-comfirm-btn ${isMain?'snk-bh-comfirm-okbtn':'snk-bh-comfirm-cancelbtn'}'>${title}</button>`);
        btn.bind('click', () => {
          cb(this);
        });
        this.buttons.push(btn);
        buttnWrapper.append(btn);
      }
      this.inner.append(buttnWrapper);
    }
    $(_wrapper).append(this.root).append(this.bk);
    if(init) {
      init(this);
    }
  }

  getButton = (index) => {
    return this.buttons[index];
  }

  hide = () => {
    this.root.remove();
    this.bk.remove();
  }
}

export default Comfirm;